#ifndef OXS_OUT_FRSKY_h
#define OXS_OUT_FRSKY_h

#include "SoftwareSerial.h"
#include "Arduino.h"
#include "oxs_config.h"

class OXS_OUT_FRSKY
{
  public:
    OXS_OUT_FRSKY(uint8_t pinTx/*,HardwareSerial &print*/);
    void setup();
    
    bool timeToSend();
    void sendData();
    
  private:
    SoftwareSerial _mySerial;

    short crc;
    void sendByte(uint8_t byte);
    void sendValue(uint16_t id, uint32_t value);
    void sendCrc();
    
};

#endif // OXS_OUT_FRSKY_h




